> ## Documentation Index
> Fetch the complete documentation index at: https://vas-partner-api-docs.finpaytech.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment



## OpenAPI

````yaml /openapi.json get /api/v1/merchants/me/payments/{paymentId}
openapi: 3.1.0
info:
  title: Emaal Virtual Accounts API
  version: 1.0.0
  description: Merchant collection APIs. Base URL https://vas.finpaytech.co/business-api
servers:
  - url: https://vas.finpaytech.co/business-api
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Virtual Accounts
  - name: Customers
  - name: Invoice VA
  - name: Payer Instructions
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/merchants/me/payments/{paymentId}:
    get:
      tags:
        - Payments
      summary: Get Payment
      operationId: getPayment
      parameters:
        - name: paymentId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentResponse'
              example:
                id: 70d9370e-62ad-4b97-a024-862feee88541
                merchantId: 301f0991-8f7c-4501-a1d4-c317fe7b7f23
                subMerchantId: null
                subMerchantCode: null
                subMerchantName: null
                parentSubMerchantId: null
                virtualAccountId: 9d6be39e-9465-4d67-a05a-4b366352bd64
                virtualAccountNumber: '7600000035'
                virtualAccountName: Emaal - WithLotus
                stkInitiationId: null
                sessionId: '000004260908165208000000591000'
                paymentReference: INV-2026-1044
                amount: 130
                currency: KES
                status: SUCCESSFUL
                originatorAccountName: JANE WANJIKU
                originatorAccountNumber: 2547*****890
                narration: 7600000035 INV-2026-1044
                customerReference: null
                attributionStatus: ATTRIBUTED
                attributionMethod: INVOICE_VA
                creditedAt: '2026-09-08T16:52:08.000Z'
                createdAt: '2026-09-09T07:52:21.054Z'
components:
  schemas:
    PaymentResponse:
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PASETO
      description: Access token from POST /api/v1/auth/login

````